
Foreman - Bug #12225

TopbarSweeper should invalidate on plugin installation/removal

10/20/2015 10:29 AM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: Plugin integration   

Target version: 1.12.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2849,

https://github.com/theforeman/foreman/p

ull/3496,

https://github.com/theforeman/foreman/p

ull/3517

  

Description

Users (and devs apparently) forget to log-out missing items in the main menu :)

Related issues:

Related to Website - Feature #14670: Inform somewhere that after adding plugi... New 04/15/2016

Related to Foreman - Bug #15040: Could not find table 'users' during db:migrate Closed 05/13/2016

Related to Foreman - Bug #10802: relation "users" does not exist present when... Closed 06/12/2015

Associated revisions

Revision c3e0fed1 - 05/13/2016 02:44 AM - Lukas Zapletal

Fixes #12225 - invalidate topbar cache after restart

History

#1 - 10/20/2015 10:33 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2849 added

- Pull request deleted ()

#2 - 04/18/2016 03:22 AM - Dominic Cleal

- Related to Feature #14670: Inform somewhere that after adding plugin user should logout/login to see it in WebUI added

#3 - 05/05/2016 03:45 AM - Dominic Cleal

- Category changed from Web Interface to Plugin integration

- Status changed from Ready For Testing to New

- Assignee deleted (Lukas Zapletal)

PR closed.

#4 - 05/05/2016 07:14 AM - Lukas Zapletal

- Status changed from New to Rejected

Since we upgraded to Rails 4.x this patch is no longer necessary and it just works. Compare

http://edgeguides.rubyonrails.org/caching_with_rails.html#fragment-caching

with
http://edgeguides.rubyonrails.org/caching_with_rails.html#fragment-caching


http://guides.rubyonrails.org/v3.2/caching_with_rails.html#fragment-caching

(search for md5)

#5 - 05/05/2016 07:48 AM - Dominic Cleal

- Status changed from Rejected to New

Re-opening as the issue is still present, tested on current develop. As per my comment at 

https://github.com/theforeman/foreman/pull/2849#issuecomment-217127785, the view fragment isn't changed when installing/uninstalling plugins, so

the cache wouldn't get invalidated by the new mechanism in Rails 4. The digest is disabled in any case.

#6 - 05/06/2016 03:41 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Lukas Zapletal

- Pull request https://github.com/theforeman/foreman/pull/3496 added

#7 - 05/11/2016 09:04 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/3517 added

#8 - 05/13/2016 03:01 AM - Lukas Zapletal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset c3e0fed15667ef934a96c9eafddf7c094d56eab7.

#9 - 05/13/2016 03:15 AM - Dominic Cleal

- Related to Bug #15040: Could not find table 'users' during db:migrate added

#10 - 05/13/2016 03:51 AM - Dominic Cleal

- translation missing: en.field_release set to 136

#11 - 05/13/2016 05:02 AM - Dominic Cleal

- Related to Bug #10802: relation "users" does not exist present when migrating added
